package com.mobvcasting.jsonphp;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONArray;
import org.json.JSONObject;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;

public class JSONPHP extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        HttpClient httpclient = new DefaultHttpClient();
        HttpGet httpget = new HttpGet("http://itp.nyu.edu/~sve204/mobilemedia_fall10/json_message.php");
        
        try {
            HttpResponse response = httpclient.execute(httpget);
            HttpEntity entity = response.getEntity();
 
            if (entity != null) {
                InputStream inputstream = entity.getContent();

                BufferedReader bufferedreader = new BufferedReader(new InputStreamReader(inputstream));
                StringBuilder stringbuilder = new StringBuilder();
         
                String currentline = null;
                
                while ((currentline = bufferedreader.readLine()) != null) {
                	stringbuilder.append(currentline + "\n");
                }
                
                String result = stringbuilder.toString();
                Log.v("HTTP REQUEST",result);
                inputstream.close();
                
                // NOW DO JSON DECODE
                //[{"message_id":"117","phone_number":"p","message_text":"weather 11201"},{"message_id":"118","phone_number":"p","message_text":"weather 11201"},{"message_id":"119","phone_number":"p","message_text":"weather 11201"},{"message_id":"120","phone_number":"p","message_text":"weather 11201"},{"message_id":"121","phone_number":"p","message_text":"weather 11201"}]
                // Array, with message_id, phone_number, message_text in each object

    			JSONArray jsonArray = new JSONArray(result);
    			for (int i = 0; i < jsonArray.length(); i++) {
    				JSONObject arrayElementObject = jsonArray.getJSONObject(i);
    				String phoneNumber = arrayElementObject.getString("phone_number");
    				String messageText = arrayElementObject.getString("message_text");
    				String messageId = arrayElementObject.getString("message_id");
    				Log.v("SIMPLEJSON", messageId + ":" + phoneNumber + ":" + messageText);
    			}
            }
        } catch (Exception e) {
        	e.printStackTrace();
        }              
    }
}